VBISampleCoding (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Enum VBISampleCoding

- java.lang.Object
- - java.lang.Enum<VBISampleCoding>
  - - tv.amwa.maj.io.mxf.VBISampleCoding

- All Implemented Interfaces:
    Serializable, Comparable<VBISampleCoding>

      public enum VBISampleCoding
      extends Enum<VBISampleCoding>

  Sample coding enumeration, as per SMPTE-436M.

  See Also:
    `VBILine`, `VBISource`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C10Bit` Chroma only, 10 bits per sample.
    `C1Bit` Chroma only, 1 bit per sample.
    `C8Bit` Chroma only, 8 bits per sample.
    `Y10Bit` Luma only, bits per sample.
    `Y1Bit` Luma only, 1 bit per sample.
    `Y8Bit` Luma only, 8 bits per sample.
    `YC10Bit` Luma and chroma, 10 bits per sample.
    `YC1Bit` Luma and chroma, 1 bit per sample.
    `YC8Bit` Luma and chroma, 8 bits per sample.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VBISampleCoding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VBISampleCoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Y1Bit

          public static final VBISampleCoding Y1Bit

      Luma only, 1 bit per sample.

    - #### C1Bit

          public static final VBISampleCoding C1Bit

      Chroma only, 1 bit per sample.

    - #### YC1Bit

          public static final VBISampleCoding YC1Bit

      Luma and chroma, 1 bit per sample.

    - #### Y8Bit

          public static final VBISampleCoding Y8Bit

      Luma only, 8 bits per sample.

    - #### C8Bit

          public static final VBISampleCoding C8Bit

      Chroma only, 8 bits per sample.

    - #### YC8Bit

          public static final VBISampleCoding YC8Bit

      Luma and chroma, 8 bits per sample.

    - #### Y10Bit

          public static final VBISampleCoding Y10Bit

      Luma only, bits per sample.

    - #### C10Bit

          public static final VBISampleCoding C10Bit

      Chroma only, 10 bits per sample.

    - #### YC10Bit

          public static final VBISampleCoding YC10Bit

      Luma and chroma, 10 bits per sample.

  - ### Method Detail

    - #### values

          public static VBISampleCoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VBISampleCoding c : VBISampleCoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VBISampleCoding valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.